Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-7901

Upgrade Groovy version

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Done
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.0.0-m3
    • Component/s: Build
    • Labels:
      None
    • Story Points:
      1
    • Sprint:
      Sprint 34, Sprint 35

      Description

      Update to more recent Groovy version. Groovy 2.3.7 appears to be the latest available version with a corresponding groovy-eclipse compiler, with 2.3.9 being the last release published at this time.

      Java 8 interoperability is only "official" since 2.3.x so hopefully this will head off any compatibility issues

      Acceptance Criteria:

      • Nexus 3 OSS and Pro will use Groovy 2.3.7

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jtom Joe Tom
              Reporter:
              krobinson Kelly Robinson
              Last Updated By:
              Brian Fox Brian Fox
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Date of First Response:

                  tigCommentSecurity.panel-title